Calculate the costs for an event

Requires the METER_DATA.INGEST permission.

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version

Headers

x-platform-idstringOptional
Platform ID.

Query parameters

cost_predictionbooleanOptional
The option to return cost prediction.

Request

This endpoint expects an object.
referencestring or nullOptionalformat: "^.*$"10-256 characters
customer_idstring or nullOptional
The resource ID of the associated customer.
customer_referencestring or nullOptional
A custom reference assigned to the customer.
customerobject or nullOptional
meter_idstring or nullOptional
The resource ID of the meter.
meter_referencestring or nullOptional
A custom reference assigned to the meter.
pricing_plan_subscription_idstring or nullOptional
The resource ID of the associated pricing plan subscription.
pricing_plan_subscription_referencestring or nullOptional
A custom reference assigned to the pricing plan subscription.
pricing_plan_subscription_selectorobjectOptional
A selector to dynamically determine the subscription to use.
timestampdatetime or nullOptional
The associated timestamp presented in the ISO 8601 standard of the charge event, if not provided it will be set to 'now'.
meter_propertieslist of objects or nullOptional
The properties that provide information to give context to an event, used in the meter.
meter_valueslist of objects or nullOptional
The values used as input to calculate billable units, used in the meter.
cost_predictionobject or nullOptional
The cost prediction.
processed_detailsobject or nullOptional
Details of the result of processing the event.

Response

Created
object_typestring or nullRead-only
idstring or nullRead-only
referencestring or nullformat: "^.*$"10-256 characters
typeenum or nullRead-only
The type of meter data.
Allowed values:
customer_idstring or null
The resource ID of the associated customer.
customer_referencestring or null
A custom reference assigned to the customer.
customerobject or null
meter_idstring or null
The resource ID of the meter.
meter_referencestring or null
A custom reference assigned to the meter.
pricing_plan_subscription_idstring or null
The resource ID of the associated pricing plan subscription.
pricing_plan_subscription_referencestring or null
A custom reference assigned to the pricing plan subscription.
pricing_plan_subscription_selectorobject
A selector to dynamically determine the subscription to use.
timestampdatetime or null
The associated timestamp presented in the ISO 8601 standard of the charge event, if not provided it will be set to 'now'.
created_atstring or nullRead-only
The associated timestamp presented in the ISO 8601 standard of the creation of the event in Solvimon.
meter_propertieslist of objects or null
The properties that provide information to give context to an event, used in the meter.
meter_valueslist of objects or null
The values used as input to calculate billable units, used in the meter.
cost_predictionobject or null
The cost prediction.
processed_detailsobject or null
Details of the result of processing the event.
deletedboolean or nullRead-only
Is MeterData marked as deleted.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
409
Conflict Error
500
Internal Server Error